@charset "UTF-8";

nav {
    position: relative;
    min-width: fit-content;
}

nav div.nav-links-visible {
    display: flex;
    gap: 6px;
    color: var(--white);
}

nav div.nav-links-visible>a {
    text-decoration: none;
    color: inherit;
    font-size: 1.1em;
    font-weight: bold;
}

nav div#menu {
    transition: all 500ms ease-in-out;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 101;
    overflow: hidden;
    padding: 0;
    width: 66vw;
    min-width: fit-content;
    max-width: 325px;
    height: 0vh;
}

nav div#menu.show {
    height: 90vh;
    background-color: rgba(255, 255, 255, 0.95);
    overflow-y: auto;
}

nav div#menu ul {
    list-style: none;
    margin: 0;
    padding: 1em;
}

nav div#menu ul li a {
    display: inline-block;
    font-size: 1.7em;
    font-weight: bold;
    color: var(--gray);
    text-decoration: none;
    cursor: pointer;
    padding: 0.175em;
}

nav div#menu ul li a:hover {
    color: var(--black) !important;
}

nav div#menu ul li a:active {
    color: var(--black) !important;
}

a#shortcutMenuLink {
    display: inline-block;
    width: 35px;
    height: auto;
    padding: 0px 8px 16px;
}